Name:          xwininfo
Version:       1.1.6
Release:       1mamba
Summary:       xwininfo - window information utility for X
Group:         Graphical Desktop/Applications/Utilities
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://www.x.org/wiki/
Source:        https://xorg.freedesktop.org/releases/individual/app/xwininfo-%{version}.tar.xz
License:       MIT
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: libxcb-devel
## AUTOBUILDREQ-END

%description
Xwininfo is a utility for displaying information about windows. Various information is displayed depending on which options are selected. 
If no options are chosen, -stats is assumed.

The user has the option of selecting the target window with the mouse (by clicking any mouse button in the desired window) or by specifying its window id on the command line with the -id option. 
Or instead of specifying the window by its id number, the -name option may be used to specify which window is desired by name. 
There is also a special -root option to quickly obtain information on the screen's root window.  

%debug_package

%prep
%setup -q

%build
%configure
%make

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%makeinstall

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%files
%defattr(-,root,root)
%{_bindir}/%{name}
%{_mandir}/man?/*
%doc COPYING

%changelog
* Tue Apr 11 2023 Silvan Calarco <silvan.calarco@mambasoft.it> 1.1.6-1mamba
- update to 1.1.6

* Sat May 23 2020 Automatic Build System <autodist@mambasoft.it> 1.1.5-1mamba
- automatic update by autodist

* Wed Sep 12 2018 Automatic Build System <autodist@mambasoft.it> 1.1.4-1mamba
- automatic update by autodist

* Wed May 22 2013 Automatic Build System <autodist@mambasoft.it> 1.1.3-1mamba
- automatic update by autodist

* Sun Aug 07 2011 Automatic Build System <autodist@mambasoft.it> 1.1.2-1mamba
- automatic version update by autodist

* Tue Mar 01 2011 Tiziana Ferro <tiziana.ferro@email.it> 1.1.1-1mamba
- package created by autospec
